local template = require("resty.template")
local json = require("json")
local utils = require("utils")
local ck = require("resty.cookie")

local view = template.new "index.html"

-- if (not utils.check_login()) then
--     utils.error_exit(401)
-- end

local pk, dn, username = "", "", ""

pk, dn, _, _, _ = utils.get_gw_config()

local cookie, err = ck:new()
if cookie then
    local login_token, err = cookie:get("loginToken")
    if (login_token) then
        local memkv = ngx.shared.memkv
        username = memkv:get(login_token .. '.' .. "username")
    end 
end

view.GatewayProductKey = pk
view.GatewayDeviceName = dn
view.UserName = username
view.Time = tostring(os.time())
view:render()
ngx.exit(ngx.HTTP_OK)

------ EOF ------
