#!/usr/bin/env bash

cd `dirname $0`

# start opua server
pids=`ps -aux | grep server-example.py | grep -v grep | awk '{print $2}'`
if [ -n "$pids" ]; then
    echo "try to kill server-example.py: $pids"
    kill -s 9 $pids
fi

source ../py3_venv/bin/activate
export PYTHONPATH=$(readlink -e ../../../lib):$PYTHONPATH

python3 -c "import sys; print(sys.path)"

./server-example.py $1 $2 & 2>&1 1>/dev/null
